#include "chdecl.h"
void CH_getformatters_fmtattrname(current, sched, cop)
#define ARGUMENTS 10
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c42;
    case 4: goto c44;
    case 5: goto c46;
    case 6: goto c49;
    case 7: goto c52;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* case 4 3.3 */
  REF(4).value.enumeration = REF(3)DOT(3).value.variant->info.variant_case;
  REF(4).tsdr = & dr_enumeration;
/* equal . 4 =(5) , 15 */
  if ( REF(4).value.enumeration == 5 ) goto c15;
/* equal . 4 =(3) , 18 */
  if ( REF(4).value.enumeration == 3 ) goto c18;
/* equal . 4 =(2) , 21 */
  if ( REF(4).value.enumeration == 2 ) goto c21;
/* equal . 4 =(1) , 24 */
  if ( REF(4).value.enumeration == 1 ) goto c24;
/* equal . 4 =(0) , 27 */
  if ( REF(4).value.enumeration == 0 ) goto c27;
/* branch , 30 */
   goto c30;
c15:
/* chs_lit 3.4 , "FULL" */
  if( !chs_lit(DEF(3)DOT(4),"FULL") ) goto ch_depletion;
/* branch , 49 */
   goto c49;
c18:
/* chs_lit 3.4 , "CHECKEDDEFINITIONS" */
  if( !chs_lit(DEF(3)DOT(4),"CHECKEDDEFINITIONS") ) goto ch_depletion;
/* branch , 49 */
   goto c49;
c21:
/* chs_lit 3.4 , "CHECKED" */
  if( !chs_lit(DEF(3)DOT(4),"CHECKED") ) goto ch_depletion;
/* branch , 49 */
   goto c49;
c24:
/* chs_lit 3.4 , "CASE" */
  if( !chs_lit(DEF(3)DOT(4),"CASE") ) goto ch_depletion;
/* branch , 49 */
   goto c49;
c27:
/* chs_lit 3.4 , "INIT" */
  if( !chs_lit(DEF(3)DOT(4),"INIT") ) goto ch_depletion;
/* branch , 49 */
   goto c49;
c30:
/* reveal 3.3 , 4 */
  if (4 != REF(3)DOT(3).value.variant->info.variant_case) goto ch_case_error;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* find 5 3.2 3.3.0.0 , 0 */
  if (findfunc(DEF(5),DEF(3)DOT(2),(
          arguments[0] = DEF(3)DOT(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 3.4 5.1 */
  if((ch_returncode = cp_table(& ch_val, REF(5)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(4).tsdr)->finalize)(REF(3)DOT(4).value,F_DISCARD,sched);
  REF(3)DOT(4).value = ch_val;
  REF(3)DOT(4).tsdr = & dr_table;
/* ordenum_lit 6 , 33 */
  REF(6).value.ord_enum = 33;
  REF(6).tsdr = & dr_ord_enumeration;
/* insert 3.4 6 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(4),DEF(6),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* find 7 5.3 3.3.0.1 , 0 */
  if (findfunc(DEF(7),DEF(5)DOT(3),(
          arguments[0] = DEF(3)DOT(3)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 8 7.1 */
  if((ch_returncode = cp_table(& ch_val, REF(7)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = & dr_table;
/* merge 3.4 8 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(4),DEF(8),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 44 */
   goto c44;
c42:
/* chs_lit 9 , "??" */
  if( !chs_lit(DEF(9),"??") ) goto ch_depletion;
/* merge 3.4 9 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(4),DEF(9),FALSE,0)) != Normal)
     goto ch_raise_exception;
c44:
/* endblock */
  che_endblock(sched);
/* branch , 49 */
   goto c49;
c46:
/* chs_lit 3.4 , "??!??" */
  if( !chs_lit(DEF(3)DOT(4),"??!??") ) goto ch_depletion;
c49:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c52:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
